from setuptools import setup, find_packages

setup(
    name='max_nhl_scraper',
    version='0.1.5',
    author='Max Tixador',
    author_email='maxtixador@gmail.com',
    packages=find_packages(),
    description='A package for scraping NHL data',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    install_requires=# List of dependencies
    [
    "appnope==0.1.3",
    "asttokens==2.4.1",
    "beautifulsoup4==4.12.2",
    "certifi==2023.11.17",
    "charset-normalizer==3.3.2",
    "comm==0.2.0",
    "contourpy==1.2.0",
    "cycler==0.12.1",
    "debugpy==1.8.0",
    "decorator==5.1.1",
    "exceptiongroup==1.2.0",
    "executing==2.0.1",
    "fonttools==4.47.0",
    "html5lib==1.1",
    "idna==3.6",
    "importlib-metadata==7.0.1",
    "importlib-resources==6.1.1",
    "ipykernel==6.28.0",
    "ipython==8.18.1",
    "jedi==0.19.1",
    "Jinja2==3.1.2",
    "jupyter_client==8.6.0",
    "jupyter_core==5.6.0",
    "kiwisolver==1.4.5",
    "lxml==4.9.4",
    "MarkupSafe==2.1.3",
    "matplotlib==3.8.2",
    "matplotlib-inline==0.1.6",
    "nest-asyncio==1.5.8",
    "numpy==1.26.2",
    "packaging==23.2",
    "pandas==2.1.4",
    "parso==0.8.3",
    "pexpect==4.9.0",
    "Pillow==10.1.0",
    "platformdirs==4.1.0",
    "prompt-toolkit==3.0.43",
    "psutil==5.9.7",
    "ptyprocess==0.7.0",
    "pure-eval==0.2.2",
    "Pygments==2.17.2",
    "pyparsing==3.1.1",
    "python-dateutil==2.8.2",
    "pytz==2023.3.post1",
    "pyzmq==25.1.2",
    "requests==2.31.0",
    "seaborn==0.13.0",
    "six==1.16.0",
    "soupsieve==2.5",
    "stack-data==0.6.3",
    "tornado==6.4",
    "traitlets==5.14.0",
    "typing_extensions==4.9.0",
    "tzdata==2023.3",
    "urllib3==1.26.18",
    "wcwidth==0.2.12",
    "webencodings==0.5.1",
    "zipp==3.17.0",
]   ,
    python_requires='>=3.6',
    include_package_data=True,
    classifiers=[
        # Classifiers help users find your project
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
)
